libwpd: WPXHLListenerImpl Class Reference documentation

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# WPXHLListenerImpl Class Reference

`#include <WPXHLListenerImpl.h>`

List of all members.

## Detailed Description

Pure virtual class containing all the callback functions that can be made by the parser.

An application using this library should implement all the function definitions listed here.

## Public Member Functions
virtual void | setDocumentMetaData (const WPXPropertyList &propList)=0
| Called when all document metadata should be set.
virtual void | startDocument ()=0
| Called at the start of the parsing process.
virtual void | endDocument ()=0
| Called at the end of the parsing process.
virtual void | openPageSpan (const WPXPropertyList &propList)=0
| Called when a new page span is opened.
virtual void | closePageSpan ()=0
| Called when a page span is closed.
virtual void | openHeader (const WPXPropertyList &propList)=0
| Called when a header should be opened (a sub-document will be placed inside of it).
virtual void | closeHeader ()=0
| Called when a header should be closed.
virtual void | openFooter (const WPXPropertyList &propList)=0
| Called when a footer should be opened (a sub-document will be placed inside of it).
virtual void | closeFooter ()=0
| Called when a footer should be closed.
virtual void | openParagraph (const WPXPropertyList &propList, const WPXPropertyListVector &tabStops)=0
| Called when a new paragraph is opened.
virtual void | closeParagraph ()=0
| Called when a paragraph is closed.
virtual void | openSpan (const WPXPropertyList &propList)=0
| Called when a text span is opened.
virtual void | closeSpan ()=0
| Called when a text span is closed.
virtual void | openSection (const WPXPropertyList &propList, const WPXPropertyListVector &columns)=0
| Called when a new section is opened.
virtual void | closeSection ()=0
| Called when a section is closed.
virtual void | insertTab ()=0
| Called when a TAB character should be inserted.
virtual void | insertText (const WPXString &text)=0
| Called when a string of text should be inserted.
virtual void | insertLineBreak ()=0
| Called when a line break should be inserted.
virtual void | defineOrderedListLevel (const WPXPropertyList &propList)=0
| Defines an ordered (enumerated) list level.
virtual void | defineUnorderedListLevel (const WPXPropertyList &propList)=0
| Defines an unordered (unenumerated) list level.
virtual void | openOrderedListLevel (const WPXPropertyList &propList)=0
| Called when a new ordered list level should be opened.
virtual void | openUnorderedListLevel (const WPXPropertyList &propList)=0
| Called when a new unordered list level should be opened.
virtual void | closeOrderedListLevel ()=0
| Called when an unordered list level should be closed.
virtual void | closeUnorderedListLevel ()=0
| Called when an ununordered list level should be closed.
virtual void | openListElement (const WPXPropertyList &propList, const WPXPropertyListVector &tabStops)=0
| Called when a list element should be opened.
virtual void | closeListElement ()=0
| Called when a list element should be closed.
virtual void | openFootnote (const WPXPropertyList &propList)=0
| Called when a footnote should be opened (a sub-document will be placed inside of it).
virtual void | closeFootnote ()=0
virtual void | openEndnote (const WPXPropertyList &propList)=0
| Called when a endnote should be opened (a sub-document will be placed inside of it).
virtual void | closeEndnote ()=0
| Called when a endnote should be closed.
virtual void | openTable (const WPXPropertyList &propList, const WPXPropertyListVector &columns)=0
| Called when a table should be opened.
virtual void | openTableRow (const WPXPropertyList &propList)=0
| Called when a new table row is opened.
virtual void | closeTableRow ()=0
| Called when the current table row is closed.
virtual void | openTableCell (const WPXPropertyList &propList)=0
| Called when a new table cell is opened.
virtual void | closeTableCell ()=0
| Called when the current table cell is closed.
virtual void | insertCoveredTableCell (const WPXPropertyList &propList)=0
| Called when a covered (spanned by another cell in the table) table cell is opened.
virtual void | closeTable ()=0
| Called when the current table is closed.

## Member Function Documentation

virtual void WPXHLListenerImpl::closeEndnote | ( |  | ) | `[pure virtual]`

| Called when a endnote should be closed.

virtual void WPXHLListenerImpl::closeFooter | ( |  | ) | `[pure virtual]`

| Called when a footer should be closed.

virtual void WPXHLListenerImpl::closeFootnote | ( |  | ) | `[pure virtual]`

virtual void WPXHLListenerImpl::closeHeader | ( |  | ) | `[pure virtual]`

| Called when a header should be closed.

virtual void WPXHLListenerImpl::closeListElement | ( |  | ) | `[pure virtual]`

| Called when a list element should be closed.

virtual void WPXHLListenerImpl::closeOrderedListLevel | ( |  | ) | `[pure virtual]`

| Called when an unordered list level should be closed.

virtual void WPXHLListenerImpl::closePageSpan | ( |  | ) | `[pure virtual]`

| Called when a page span is closed.

virtual void WPXHLListenerImpl::closeParagraph | ( |  | ) | `[pure virtual]`

| Called when a paragraph is closed.

virtual void WPXHLListenerImpl::closeSection | ( |  | ) | `[pure virtual]`

| Called when a section is closed.

virtual void WPXHLListenerImpl::closeSpan | ( |  | ) | `[pure virtual]`

| Called when a text span is closed.

virtual void WPXHLListenerImpl::closeTable | ( |  | ) | `[pure virtual]`

| Called when the current table is closed.

virtual void WPXHLListenerImpl::closeTableCell | ( |  | ) | `[pure virtual]`

| Called when the current table cell is closed.

virtual void WPXHLListenerImpl::closeTableRow | ( |  | ) | `[pure virtual]`

| Called when the current table row is closed.

virtual void WPXHLListenerImpl::closeUnorderedListLevel | ( |  | ) | `[pure virtual]`

| Called when an ununordered list level should be closed.

virtual void WPXHLListenerImpl::defineOrderedListLevel | ( | const WPXPropertyList & | propList | ) | `[pure virtual]`

  | Defines an ordered (enumerated) list level. Parameters:
  | propList | Defines a set of properties for the list. May contain: `libwpd:id` A unique integer identifier for the list `libwpd:level` The level of the list in the hierarchy `style:num-format` Type of list `style:num-prefix` Text that comes before the number in the list `style:num-suffix` Text that comes after the number in the list `text:start-value` The starting number of the list `text:min-label-width` The distance between the list label and the actual text, stored in inches `text:space-before` The indentation level of the lists, stored in inches

virtual void WPXHLListenerImpl::defineUnorderedListLevel | ( | const WPXPropertyList & | propList | ) | `[pure virtual]`

  | Defines an unordered (unenumerated) list level. Parameters:
  | propList | Defines a set of properties for the list level. May contain: `libwpd:id` A unique integer identifier for the list `libwpd:level` The level of the list in the hierarchy `text:bullet-char` The string that should be used as a bullet `text:min-label-width` The distance between the bullet and the actual text, stored in inches `text:space-before` The indentation level of the lists, stored in inches

virtual void WPXHLListenerImpl::endDocument | ( |  | ) | `[pure virtual]`

| Called at the end of the parsing process. This is always the last callback made.

virtual void WPXHLListenerImpl::insertCoveredTableCell | ( | const WPXPropertyList & | propList | ) | `[pure virtual]`

  | Called when a covered (spanned by another cell in the table) table cell is opened. Parameters:
  | propList | Property list for the table cell. May contain: `libwpd:column` Number of the column in which the cell is positioned `libwpd:row` Number of the row in which the cell is positioned

virtual void WPXHLListenerImpl::insertLineBreak | ( |  | ) | `[pure virtual]`

| Called when a line break should be inserted.

virtual void WPXHLListenerImpl::insertTab | ( |  | ) | `[pure virtual]`

| Called when a TAB character should be inserted.

virtual void WPXHLListenerImpl::insertText | ( | const WPXString & | text | ) | `[pure virtual]`

  | Called when a string of text should be inserted. Parameters:
  | text | A textbuffer encoded as a UTF8 string

virtual void WPXHLListenerImpl::openEndnote | ( | const WPXPropertyList & | propList | ) | `[pure virtual]`

  | Called when a endnote should be opened (a sub-document will be placed inside of it). Parameters:
  | propList | Defines a set of properties for the endnote. May contain: `libwpd:number` The endnote's number

virtual void WPXHLListenerImpl::openFooter | ( | const WPXPropertyList & | propList | ) | `[pure virtual]`

  | Called when a footer should be opened (a sub-document will be placed inside of it). Parameters:
  | propList | Property list for the footer. May contain: `libwpd:occurrence` Determines on which pages the footer will occur (odd, even, or all)

virtual void WPXHLListenerImpl::openFootnote | ( | const WPXPropertyList & | propList | ) | `[pure virtual]`

  | Called when a footnote should be opened (a sub-document will be placed inside of it). Parameters:
  | propList | Defines a set of properties for the footnote. May contain: `libwpd:number` The footnote's number

virtual void WPXHLListenerImpl::openHeader | ( | const WPXPropertyList & | propList | ) | `[pure virtual]`

  | Called when a header should be opened (a sub-document will be placed inside of it). Parameters:
  | propList | Property list for the header. May contain: `libwpd:occurrence` Determines on which pages the header will occur (odd, even, or all)

virtual void WPXHLListenerImpl::openListElement | ( | const WPXPropertyList & | propList,
|  | const WPXPropertyListVector & | tabStops
| ) | `[pure virtual]`

  | Called when a list element should be opened. Parameters:
  | propList | Property list for the paragraph. May contain: `fo:text-align` The justification of this paragraph (left, center, end, full, or justify) `fo:margin-left` The left indentation of this paragraph, in inches `fo:margin-right` The right indentation of this paragraph, in inches `fo:margin-top` The amount of extra spacing to be placed before the paragraph, in inches `fo:margin-bottom` The amount of extra spacing to be placed after the paragraph, in inches `fo:text-indent` The indentation of first line, in inches (difference relative to margin-left) `fo:line-height` The amount of spacing between lines, in number of lines (1.0 is single spacing) `fo:break-before` Whether this paragraph should be placed in a new column or page (the value is set to column or page if so)
  | tabStops | List of tabstop definitions for the paragraph. If the list is empty, default tabstop definition should be used. Each tab stop may contain: `style:type` Type of tab (left, right, center, char, or .) `style:leader-char` The leader character `style:position` Position of the tab

virtual void WPXHLListenerImpl::openOrderedListLevel | ( | const WPXPropertyList & | propList | ) | `[pure virtual]`

  | Called when a new ordered list level should be opened. Parameters:
  | propList | Defines a set of properties for the list level. May contain: `libwpd:id` Which list level definition should be used

virtual void WPXHLListenerImpl::openPageSpan | ( | const WPXPropertyList & | propList | ) | `[pure virtual]`

  | Called when a new page span is opened. This will always be called before any actual content is placed into the document. Parameters:
  | propList | Property list for the page span. May contain: `libwpd:num-pages` The length of this span, in number of pages `libwpd:is-last-page-span` Whether this is the start of the last page span in the document `fo:page-width` The width of the page, in inches `fo:page-height` The height of the page, in inches `style:print-orientation` The orientation of the page (portrait or landscape) `fo:margin-left` The left margin for each page in the span, in inches `fo:margin-right` The right margin for each page in the span, in inches `fo:margin-top` The top margin for each page in the span, in inches `fo:margin-bottom` The bottom margin for each page in the span, in inches

virtual void WPXHLListenerImpl::openParagraph | ( | const WPXPropertyList & | propList,
|  | const WPXPropertyListVector & | tabStops
| ) | `[pure virtual]`

  | Called when a new paragraph is opened. This (or openListElement) will always be called before any text or span is placed into the document. Parameters:
  | propList | Property list for the paragraph. May contain: `fo:text-align` The justification of this paragraph (left, center, end, full, or justify) `fo:margin-left` The left indentation of this paragraph, in inches `fo:margin-right` The right indentation of this paragraph, in inches `fo:margin-top` The amount of extra spacing to be placed before the paragraph, in inches `fo:margin-bottom` The amount of extra spacing to be placed after the paragraph, in inches `fo:text-indent` The indentation of first line, in inches (difference relative to margin-left) `fo:line-height` The amount of spacing between lines, in number of lines (1.0 is single spacing) `fo:break-before` Whether this paragraph should be placed in a new column or page (the value is set to column or page if so)
  | tabStops | List of tabstop definitions for the paragraph. If the list is empty, default tabstop definition should be used. Each tab stop may contain: `style:type` Type of tab (left, right, center, char, or .) `style:leader-char` The leader character `style:position` Position of the tab

virtual void WPXHLListenerImpl::openSection | ( | const WPXPropertyList & | propList,
|  | const WPXPropertyListVector & | columns
| ) | `[pure virtual]`

  | Called when a new section is opened. Parameters:
  | propList | Property list for the section. May contain: `fo:margin-bottom` Extra space to add after the section, in inches `text:dont-balance-text-columns` Whether or not to balance text columns
  | columns | List of definitions of each column: left gutter, right gutter, and width (includes the gutters). Empty if there is only one column in the section. Each column may contain: `style:rel-width` `fo:margin-left` The left indentation of the margin, in inches `fo:margin-right` The right indentation of the margin, in inches

virtual void WPXHLListenerImpl::openSpan | ( | const WPXPropertyList & | propList | ) | `[pure virtual]`

  | Called when a text span is opened. Parameters:
  | propList | Property list for the span. May contain: `fo:font-style` Font style (italic or normal) `fo:font-weight` Font style (bold or normal) `style:text-crossing-out` (single-line, if present) `style:text-underline` (double or single) `style:text-outline` (true or false) `fo:font-variant` (small-caps, if present) `style:font-name` The name of the font used in the span, a text string in ascii `fo:font-size` The size of the font used in the span, in points (72 points per inch) `fo:color` The color of the font used in the span (encoded in hex: RRGGBB) `style:text-background-color` The background color of the text in the span

virtual void WPXHLListenerImpl::openTable | ( | const WPXPropertyList & | propList,
|  | const WPXPropertyListVector & | columns
| ) | `[pure virtual]`

  | Called when a table should be opened. Parameters:
  | propList | Defines a set of properties for the table. May contain: `table:align` The alignment (left, right, center, or margins) `fo:margin-left` The left indentation of the table, in inches `fo:margin-right` The right indentation of the table, in inches `style:width` Total width of the table, in inches
  | columns | Column definitions for the table. May contain `style:column-width` Width of a column, in inches

virtual void WPXHLListenerImpl::openTableCell | ( | const WPXPropertyList & | propList | ) | `[pure virtual]`

  | Called when a new table cell is opened. Parameters:
  | propList | Property list for the table cell. May contain: `libwpd:column` Number of the column in which the cell is positioned `libwpd:row` Number of the row in which the cell is positioned `table:number-columns-spanned` Number of columns that the cell spans `table:number-rows-spanned` Number of rows that the cell spans `fo:border-left` Properties of the left border of the cell `fo:border-right` Properties of the right border of the cell `fo:border-top` Properties of the top border of the cell `fo:border-bottom` Properties of the bottom border of the cell `fo:background-color` Color of the cell `fo:vertical-align` Vertical alignment of the content in the cell (top, middle, or bottom)

virtual void WPXHLListenerImpl::openTableRow | ( | const WPXPropertyList & | propList | ) | `[pure virtual]`

  | Called when a new table row is opened. Parameters:
  | propList | Defines a set of properties for the table row. May contain: `style:row-height` The row's height, in inches `style:min-row-height` The row's minimum height, in inches `libwpd:is-header-row` This row contains headings of columns and should repeat at every page (for tables that span several pages)

virtual void WPXHLListenerImpl::openUnorderedListLevel | ( | const WPXPropertyList & | propList | ) | `[pure virtual]`

  | Called when a new unordered list level should be opened. Parameters:
  | propList | Defines a set of properties for the list level. May contain: `libwpd:id` Which list level definition should be used

virtual void WPXHLListenerImpl::setDocumentMetaData | ( | const WPXPropertyList & | propList | ) | `[pure virtual]`

  | Called when all document metadata should be set. This is always the first callback made. Parameters:
  | propList | Property list for the metadata. May contain: `dc:author` The document's author `dc:subject` The document's subject `dc:publisher` The document's publisher `dc:type` The document's type `dc:language` The document's keywords `libwpd:keywords` The document's keywords `libwpd:abstract` Abstract of the document's contents `libwpd:descriptive-name` The descriptive name for the document `libwpd:descriptive-type` The descriptive type for the document

virtual void WPXHLListenerImpl::startDocument | ( |  | ) | `[pure virtual]`

| Called at the start of the parsing process. This is always the second callback made.

The documentation for this class was generated from the following file:

- WPXHLListenerImpl.h